# some distros (suse) put this elsewhere
%define yumreposdir %{_sysconfdir}/yum.repos.d

Name:           dell-community-repository
Version:        1
Release:        1.2
Summary:        Repository configuration for the community repos at http://linux.dell.com/repo/community/
Group:          System Environment/Base
License:        BSD
URL:            http://linux.dell.com
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Obsoletes: dell-unsupported-repository < 0:2

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time. Only required for suse > 11
%if 0%{?suse_version} >= 1100
BuildRequires: yum
%endif

%if 0%{?suse_version}
# suse has different yum repos dir from everybody else.
%define yumreposdir %{_sysconfdir}/yum/repos.d
%endif

%description
The linux.dell.com community software repository contains unofficial
and unsupported Dell-developed software, as well as customer-contributed
open source software.

This package contains the yum-configuration for the
linux.dell.com/repo/community/ repository.

%prep
%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{yumreposdir}
touch $RPM_BUILD_ROOT/%{yumreposdir}/%{name}.repo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %ghost %{yumreposdir}/%{name}.repo

%post
# we'll re-bootstrap on rpm upgrade.
bootstrap_url=$(grep ^bootstrapurl= %{yumreposdir}/%{name}.repo 2>/dev/null | cut -d= -f2-)

# if this is an upgrade from dell-unsupported repo
if [ -z "$bootstrap_url" ]; then
	bootstrap_url=$(grep ^mirrorlist= %{yumreposdir}/dell-unsupported-repository.repo |head -n1| cut -d= -f2- | perl -p -i -e 's|/mirrors.pl.*||' )/bootstrap.cgi
fi

export RECURSIVE_RPM=1
wget -O- -q $bootstrap_url | bash

%postun

%changelog
* Wed Jun 27 2007 Michael Brown <Michael_E_Brown@dell.com> - 1-0
- initial release
